Subject: Re: bug#72761: issues with Flymake online documentation

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Aug 2024 21:03:01 +0300

> Date: Thu, 22 Aug 2024 12:43:23 -0400
> From:  Lester Longley via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I see two issues at manual page: https://www.gnu.org/software/emacs/manual/html_mono/flymake.html
> 
> (1) in sentence "See Eglot Features in Eglot: The Emacs LSP Client Flymake is also designed to be easily
> extended to support new backends via an Elisp interface.",
> the embedded link
> https://www.gnu.org/software/emacs/manual/html_node/eglot_html/Eglot-Features.html#Eglot-Features
> doesn't work (404 error)
> I think the correct link should be:
> https://www.gnu.org/software/emacs/manual/html_node/eglot/Eglot-Features.html#Eglot-Features
> 
> The same issue is present at the "html_node" page
> https://www.gnu.org/software/emacs/manual/html_node/flymake/index.html

I don't see this here.  First, the links are to
https://www.gnu.org/software/emacs/manual/html_mono/eglot.html#Eglot-Features
and not as you say, and they both work here.

> (2) the section https://www.gnu.org/software/emacs/manual/html_mono/flymake.html#Mode-line-status is
> empty, when I view it in Chrome 127, on a Chromebook, or in Chrome, on an Android phone.
> Here's browser snapshot from Chromebook; Android phone gives similar view:

I do see this.  It's probably some problem with the produced HTML,
because the HTML is not empty:

  <p>The following statuses are defined:
  </p>
  <table>
  <tr><td width="25%">[<var>nerrors</var> <var>nwarnings</var> ...]</td><td width="75%">Normal operation. <var>nerrors</var> and <var>nwarnings</var> are, respectively,
  the total number of errors and warnings found during the last buffer
  check, for all backends. They may be followed by other totals for
  other types of diagnostics (see <a href="#Flymake-error-types">Customizing Flymake error types</a>).</td></tr>
  <tr><td width="25%"><code>Wait</code></td><td width="75%">Some Flymake backends haven&rsquo;t reported since the last time they
  where questioned.  It is reasonable to assume that this is a temporary
  delay and Flymake will resume normal operation soon.</td></tr>
  <tr><td width="25%"><code>!</code></td><td width="75%">All the configured Flymake backends have disabled themselves: Flymake
  cannot annotate the buffer and action from the user is needed to
  investigate and remedy the situation (see <a href="#Troubleshooting">Troubleshooting</a>).</td></tr>
  <tr><td width="25%"><code>?</code></td><td width="75%">There are no applicable Flymake backends for this buffer, thus Flymake
  cannot annotate it.  To fix this, a user may look to extending Flymake
  and add a new backend (see <a href="#Extending-Flymake">Extending Flymake</a>).</td></tr>
  </table>

Maybe some HTML expert can tell what is wrong with this <table>?